Subject: [Ips] (no subject)

From: Julian Satran <[email-masked]>
Date: Sat, 20 Dec 2003 08:01:07 +0200

Eddy,

Here is the comment I sent yesterday. It is wrong to change ITT (another 
case of reject) but it is up to you to reject the first task, the second 
or both as they both come from the same initiator - Julo
----- Forwarded by Julian Satran/Haifa/IBM on 20/12/2003 07:58 -----

Julian Satran/Haifa/IBM
18/12/2003 10:12

To
[email-masked]
cc
Eddy Quicksall <[email-masked]>, [email-masked], 
[email-masked]
Subject
Re: [Ips] iSCSI: a Reject during text negotiations

I think taht you have one of those Solomonic cases in which rejecting any 
or both is legal (the come from the same initiator!).

Julo

[email-masked] 
Sent by: [email-masked]
16/12/2003 23:33

To
Eddy Quicksall <[email-masked]>
cc
[email-masked]
Subject
Re: [Ips] iSCSI: a Reject during text negotiations

On Mon, 15 Dec 2003, Eddy Quicksall wrote:

> I agree with you and Julian both. This actually happened to me from a 
3rd
> party so I figured I would ask for the proper interpretation.
>
> Regarding the changing ITT, the spec says the ITT can't change ("An
> initiator MUST have at most one outstanding Text Request on a connection 
at
> any given time") and that was the reason I gave the reject. So in my
> opinion, the whole sequence must be discarded when I give the reject.

I don't take "An initiator MUST have at most one outstanding Text Request
on a connection at any given time" as meaning the ITT can't change. I take
it as meaning that you can't have two outstanding Text Requests. Since the
two requests have different ITTs, they are different tasks. The fact that
they are both Text Request tasks (of which there can be only one) is
secondary to their different ITTs.

So while we both argree that the second request is in error, the
difference is its impact on the first (and that's why I'm still EMailing
about it :-)  . Since they are different tasks, I don't see why the first
would be impacted by the (incorrect) second.

Take care,

Bill

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

----- Forwarded by Julian Satran/Haifa/IBM on 20/12/2003 07:58 -----

"Eddy Quicksall" <[email-masked]> 
Sent by: [email-masked]
19/12/2003 22:05

To
<[email-masked]>
cc
<[email-masked]>
Subject
Re: [Ips] iSCSI: a Reject during text negotiations

This is simple for me to change my code because I could care less what the
ITT is but there is at least one party out there that thinks it can't 
change
(he has not spoken up yet).

I just need to know which way to go.

Julian, can you please comment definitively? Can the ITT change before the 
F
bit is set in a Text Response?

Eddy

----- Original Message ----- 
From: <[email-masked]>
To: "Eddy Quicksall" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, December 16, 2003 4:33 PM
Subject: Re: [Ips] iSCSI: a Reject during text negotiations

> On Mon, 15 Dec 2003, Eddy Quicksall wrote:
>
> > I agree with you and Julian both. This actually happened to me from a
3rd
> > party so I figured I would ask for the proper interpretation.
> >
> > Regarding the changing ITT, the spec says the ITT can't change ("An
> > initiator MUST have at most one outstanding Text Request on a 
connection
at
> > any given time") and that was the reason I gave the reject. So in my
> > opinion, the whole sequence must be discarded when I give the reject.
>
> I don't take "An initiator MUST have at most one outstanding Text 
Request
> on a connection at any given time" as meaning the ITT can't change. I 
take
> it as meaning that you can't have two outstanding Text Requests. Since 
the
> two requests have different ITTs, they are different tasks. The fact 
that
> they are both Text Request tasks (of which there can be only one) is
> secondary to their different ITTs.
>
> So while we both argree that the second request is in error, the
> difference is its impact on the first (and that's why I'm still EMailing
> about it :-)  . Since they are different tasks, I don't see why the 
first
> would be impacted by the (incorrect) second.
>
> Take care,
>
> Bill

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips